package com.gic.plug.web.controller.goods;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.utils.UserDetailUtils;
import com.gic.goods.api.dto.GoodsRightsSelectorDTO;
import com.gic.goods.api.dto.GoodsSelectorDTO;
import com.gic.goods.api.service.GoodsRightsSelectorApiService;
import com.gic.mall.base.api.enums.ErrorCodeEnums;
import com.gic.plug.web.qo.goods.GoodsSelectorSaveQO;
import com.gic.plug.web.qo.goods.GoodsSelectorUpdateQO;
import com.gic.plug.web.vo.goods.GoodsSelectorVO;
/**
 * 商品
 * @ClassName: GoodsSelectorController 
 * @Description:  
 * @author guojuxing 
 * @date 2020/9/14 10:55 AM 
 */
@RestController
public class GoodsSelectorController extends BaseGoodsController {


    @Autowired
    private GoodsRightsSelectorApiService goodsRightsSelectorApiService;

    private Logger log = LogManager.getLogger(GoodsSelectorController.class);

    @RequestMapping("goods-selector-show-back")
    public RestResponse goodsSelectorShowBack(Long goodsSelectorId) {
        return RestResponse.success();
    }

    @RequestMapping("get-goods-selector")
    public RestResponse getGoodsSelector(Long goodsSelectorId) {
        return RestResponse.success();
    }


    @RequestMapping("goods-selector-edit-show-back")
    public RestResponse goodsSelectorEditShowBack(Long goodsSelectorId) {
        return RestResponse.success();
    }

    @RequestMapping("goods-selector-save")
    public RestResponse goodsSelectorSave(GoodsSelectorSaveQO goodsSelectorSaveQO) {
        return RestResponse.success();
    }

    @RequestMapping("goods-selector-show")
    public RestResponse goodsSelectorShow(GoodsSelectorSaveQO goodsSelectorSaveQO) {
        return RestResponse.success();
    }


    @RequestMapping("change-goods-rights-for-selector")
    public RestResponse changeGoodsRightsForSelector(Long goodsSelectorId) {
        return RestResponse.success();
    }



    @RequestMapping("goods-selector-update")
    public RestResponse goodsSelectorUpdate(GoodsSelectorUpdateQO goodsSelectorUpdateQO) {
        return RestResponse.success();
    }

    @RequestMapping("check-selector-goods-hit")
    public RestResponse checkSelectorGoodsHit(Long goodsSelectorId, String goodsCode, String skuCode) {
        return RestResponse.success();
    }

}
